"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CuentaDto = exports.accountSchema = void 0;
const translate_1 = require("../../i18n/translate");
const create_zod_dto_without_date_1 = require("../../shared/dto-modification/create-zod-dto-without-date");
const zod_1 = require("zod");
const prisma_schema_1 = require("../../../types/prisma-schema/index.js");
exports.accountSchema = zod_1.z.object({
    id: zod_1.z
        .string({
        required_error: (0, translate_1.translate)('model.account.id.required'),
    })
        .uuid({
        message: (0, translate_1.translate)('model.account.id.uuid'),
    }),
    username: zod_1.z.string({
        required_error: (0, translate_1.translate)('model.account.username.required'),
    }),
    password: zod_1.z
        .string({
        required_error: (0, translate_1.translate)('model.account.password.required'),
    })
        .min(6, (0, translate_1.translate)('model.account.password.min')),
    role: zod_1.z.nativeEnum(prisma_schema_1.Role, {
        required_error: (0, translate_1.translate)('model.account.role.required'),
        message: (0, translate_1.translate)('model.account.role.invalid'),
    }),
    isGlobalFilterActive: zod_1.z.boolean().default(false),
    fcmToken: zod_1.z.array(zod_1.z.string()).default([]),
    created_at: zod_1.z.date(),
    updated_at: zod_1.z.date(),
});
class CuentaDto extends (0, create_zod_dto_without_date_1.createZodDtoWithoutDate)(exports.accountSchema) {
}
exports.CuentaDto = CuentaDto;
//# sourceMappingURL=account.dto.js.map