import z from 'zod';
export declare const findCitiesByProvinceLocationResponseSchema: z.ZodObject<{
    cities: z.ZodArray<z.ZodObject<Pick<{
        id: z.ZodString;
        name: z.ZodString;
        province: z.ZodObject<{
            id: z.ZodString;
            name: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            id: string;
            name: string;
        }, {
            id: string;
            name: string;
        }>;
        department: z.ZodObject<{
            id: z.ZodString;
            name: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            id: string;
            name: string;
        }, {
            id: string;
            name: string;
        }>;
        municipality: z.ZodObject<{
            id: z.ZodString;
            name: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            id: string;
            name: string;
        }, {
            id: string;
            name: string;
        }>;
        censusLocality: z.ZodObject<{
            id: z.ZodString;
            name: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            id: string;
            name: string;
        }, {
            id: string;
            name: string;
        }>;
        category: z.ZodString;
        centroid: z.ZodObject<{
            lon: z.ZodNumber;
            lat: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            lon: number;
            lat: number;
        }, {
            lon: number;
            lat: number;
        }>;
    }, "id" | "name" | "centroid">, "strip", z.ZodTypeAny, {
        id: string;
        name: string;
        centroid: {
            lon: number;
            lat: number;
        };
    }, {
        id: string;
        name: string;
        centroid: {
            lon: number;
            lat: number;
        };
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    cities: {
        id: string;
        name: string;
        centroid: {
            lon: number;
            lat: number;
        };
    }[];
}, {
    cities: {
        id: string;
        name: string;
        centroid: {
            lon: number;
            lat: number;
        };
    }[];
}>;
declare const FindCitiesByProvinceLocationResponseDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<z.ZodObject<{
    cities: z.ZodArray<z.ZodObject<{
        id: z.ZodString;
        name: z.ZodString;
        centroid: z.ZodObject<{
            lon: z.ZodNumber;
            lat: z.ZodNumber;
        }, z.UnknownKeysParam, z.ZodTypeAny, {
            lon: number;
            lat: number;
        }, {
            lon: number;
            lat: number;
        }>;
    }, z.UnknownKeysParam, z.ZodTypeAny, {
        id: string;
        name: string;
        centroid: {
            lon: number;
            lat: number;
        };
    }, {
        id: string;
        name: string;
        centroid: {
            lon: number;
            lat: number;
        };
    }>, "many">;
}, z.UnknownKeysParam, z.ZodTypeAny, {
    cities: {
        id: string;
        name: string;
        centroid: {
            lon: number;
            lat: number;
        };
    }[];
}, {
    cities: {
        id: string;
        name: string;
        centroid: {
            lon: number;
            lat: number;
        };
    }[];
}>>;
export declare class FindCitiesByProvinceLocationResponseDto extends FindCitiesByProvinceLocationResponseDto_base {
}
export {};
