export interface paths {
    "/auth/login": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get?: never;
        put?: never;
        post: operations["AuthController_loginUser"];
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/auth/refresh": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get?: never;
        put?: never;
        post: operations["AuthController_refreshToken"];
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/tag/create": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get?: never;
        put?: never;
        post: operations["TagController_create"];
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/tag/all": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get: operations["TagController_findAll"];
        put?: never;
        post?: never;
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/tag/find-by-group/{groupId}": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get: operations["TagController_findByGroup"];
        put?: never;
        post?: never;
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/tag/{id}": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get: operations["TagController_findById"];
        put?: never;
        post?: never;
        delete: operations["TagController_remove"];
        options?: never;
        head?: never;
        patch: operations["TagController_update"];
        trace?: never;
    };
    "/tag/massive-allocation": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get?: never;
        put?: never;
        post: operations["TagController_massiveAllocation"];
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/tag/massive-deallocation": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get?: never;
        put?: never;
        post: operations["TagController_massiveDeallocation"];
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/account/create": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get?: never;
        put?: never;
        post: operations["AccountController_create"];
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/account/global-filter": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get: operations["AccountController_getGlobalFilter"];
        put?: never;
        post?: never;
        delete?: never;
        options?: never;
        head?: never;
        patch: operations["AccountController_updateGlobalFilter"];
        trace?: never;
    };
    "/account/me": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get: operations["AccountController_getMe"];
        put?: never;
        post?: never;
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/tag-group/create": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get?: never;
        put?: never;
        post: operations["TagGroupController_create"];
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/tag-group/all": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get: operations["TagGroupController_findAll"];
        put?: never;
        post?: never;
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/tag-group/all-with-tags": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get: operations["TagGroupController_findAllWithTags"];
        put?: never;
        post?: never;
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/tag-group/{id}": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get: operations["TagGroupController_findById"];
        put?: never;
        post?: never;
        delete: operations["TagGroupController_delete"];
        options?: never;
        head?: never;
        patch: operations["TagGroupController_update"];
        trace?: never;
    };
    "/comment/create": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get?: never;
        put?: never;
        post: operations["CommentController_createComment"];
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/comment/get-by-profile/{id}": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get: operations["CommentController_getCommentsByProfileId"];
        put?: never;
        post?: never;
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/comment/toggle-solve/{id}": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get?: never;
        put?: never;
        post?: never;
        delete?: never;
        options?: never;
        head?: never;
        patch: operations["CommentController_toggleSolveComment"];
        trace?: never;
    };
    "/location/all": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get: operations["LocationController_findAll"];
        put?: never;
        post?: never;
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/location/provinces": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get: operations["LocationController_findProvinces"];
        put?: never;
        post?: never;
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/location/find-cities-by-province/{province}": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get: operations["LocationController_findArgCityByProvince"];
        put?: never;
        post?: never;
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/location/all-countries": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get: operations["LocationController_findAllCountries"];
        put?: never;
        post?: never;
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/location/states-by-country/{countryCode}": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get: operations["LocationController_findStatesByCountry"];
        put?: never;
        post?: never;
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
}
export type webhooks = Record<string, never>;
export interface components {
    schemas: {
        LoginDto: {
            username: string;
            password: string;
        };
        LoginResponseDto: {
            user: {
                id?: string;
                username?: string;
                role?: "USER" | "ADMIN";
                isGlobalFilterActive: boolean;
                fcmToken: string[];
                created_at?: string;
                updated_at?: string;
            };
            backendTokens: {
                accessToken?: string;
                refreshToken?: string;
                expiresIn?: number;
            };
        };
        ErrorDto: {
            message: string[];
            statusCode: number;
            error: string;
        };
        RefreshResponseDto: {
            refreshToken: string;
            accessToken: string;
            expiresIn: number;
        };
        CreateTagDto: {
            name: string;
            groupId: string;
        };
        CreateTagResponseDto: {
            id: string;
            name: string;
            groupId: string;
            type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        };
        FindAllTagResponseDto: {
            tags: {
                id: string;
                name: string;
                groupId: string;
                type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
                created_at: string;
                updated_at: string;
                group: {
                    id: string;
                    name: string;
                    color: string;
                    isExclusive: boolean;
                    created_at: string;
                    updated_at: string;
                };
            }[];
        };
        FindByGroupTagResponseDto: {
            tags: {
                id: string;
                name: string;
                groupId: string;
                type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
                created_at: string;
                updated_at: string;
                group: {
                    id: string;
                    name: string;
                    color: string;
                    isExclusive: boolean;
                    created_at: string;
                    updated_at: string;
                };
            }[];
        };
        FindOneTagResponseDto: {
            id: string;
            name: string;
            groupId: string;
            type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
            created_at: string;
            updated_at: string;
            group: {
                id?: string;
                name?: string;
                color?: string;
                isExclusive?: boolean;
                created_at?: string;
                updated_at?: string;
            };
        };
        UpdateTagDto: {
            name: string;
            groupId: string;
        };
        UpdateTagResponseDto: {
            id: string;
            name: string;
            groupId: string;
            type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
            created_at: string;
            updated_at: string;
        };
        DeleteTagResponseDto: {
            id: string;
            name: string;
            groupId: string;
            type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
            created_at: string;
            updated_at: string;
        };
        MassiveAllocationDto: {
            tagIds: string[];
            profileIds: string[];
        };
        MassiveAllocationResponseDto: {
            profiles: {
                id: string;
                shortId: number;
                phoneNumber: string;
                secondaryPhoneNumber: string | null;
                fullName: string;
                firstName: string | null;
                gender: string | null;
                birthDate: string | null;
                profilePictureUrl: string | null;
                instagram: string | null;
                mail: string | null;
                dni: string | null;
                alternativeNames: string[] | null;
                birthLocationId: string | null;
                residenceLocationId: string | null;
                isInTrash: boolean;
                movedToTrashDate: string | null;
                created_at: string;
                updated_at: string;
            }[];
        };
        MassiveDeallocationDto: {
            tagIds: string[];
            profileIds: string[];
        };
        MassiveDeallocationResponseDto: {
            profiles: {
                id: string;
                shortId: number;
                phoneNumber: string;
                secondaryPhoneNumber: string | null;
                fullName: string;
                firstName: string | null;
                gender: string | null;
                birthDate: string | null;
                profilePictureUrl: string | null;
                instagram: string | null;
                mail: string | null;
                dni: string | null;
                alternativeNames: string[] | null;
                birthLocationId: string | null;
                residenceLocationId: string | null;
                isInTrash: boolean;
                movedToTrashDate: string | null;
                created_at: string;
                updated_at: string;
            }[];
        };
        CreateAccountDto: {
            username: string;
            password: string;
            role: "USER" | "ADMIN";
        };
        CreateAccountResponseDto: {
            id: string;
            username: string;
            role: "USER" | "ADMIN";
            isGlobalFilterActive: boolean;
            fcmToken: string[];
        };
        UpdateGlobalFilterDto: {
            active: boolean;
            tagsIds: string[];
        };
        UpdateGlobalFilterResponseDto: {
            id: string;
            username: string;
            password: string;
            role: "USER" | "ADMIN";
            isGlobalFilterActive: boolean;
            fcmToken: string[];
            created_at: string;
            updated_at: string;
            globalFilter: {
                id: string;
                name: string;
                groupId: string;
                type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
                created_at: string;
                updated_at: string;
            }[];
        };
        GetGlobalFilterResponseDto: {
            isGlobalFilterActive: boolean;
            globalFilter: {
                id: string;
                name: string;
                type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
                group: {
                    id: string;
                    color: string;
                    isExclusive: boolean;
                };
            }[];
        };
        GetMeResponseDto: {
            id: string;
            username: string;
            role: "USER" | "ADMIN";
            isGlobalFilterActive: boolean;
            fcmToken: string[];
            created_at: string;
            updated_at: string;
            globalFilter: {
                id: string;
                name: string;
                type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
                group: {
                    id: string;
                    color: string;
                    isExclusive: boolean;
                };
            }[];
            tags: {
                id: string;
                name: string;
                groupId: string;
                type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
                created_at: string;
                updated_at: string;
            }[];
        };
        CreateTagGroupDto: {
            color: string;
            name: string;
            isExclusive: boolean;
        };
        CreateTagGroupResponseDto: {
            id: string;
            name: string;
            color: string;
            isExclusive: boolean;
            created_at: string;
            updated_at: string;
        };
        FindAllTagGroupResponseDto: {
            tagGroups: {
                id: string;
                name: string;
                color: string;
                isExclusive: boolean;
                created_at: string;
                updated_at: string;
                tags: {
                    id: string;
                    name: string;
                    groupId: string;
                    type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
                    created_at: string;
                    updated_at: string;
                }[];
            }[];
        };
        FindAllWithTagsResponseDto: {
            groups: {
                id: string;
                name: string;
                isExclusive: boolean;
                color: string;
                tags: {
                    id: string;
                    name: string;
                    groupId: string;
                    type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
                    created_at: string;
                    updated_at: string;
                    _count: {
                        profiles: number;
                    };
                }[];
                _count: {
                    tags: number;
                };
            }[];
        };
        FindOneTagGroupResponseDto: {
            id: string;
            name: string;
            color: string;
            isExclusive: boolean;
            created_at: string;
            updated_at: string;
            tags: {
                id: string;
                name: string;
                groupId: string;
                type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
                created_at: string;
                updated_at: string;
            }[];
        };
        UpdateTagGroupDto: {
            name: string;
            color: string;
            isExclusive: boolean;
        };
        UpdateTagGroupResponseDto: {
            id: string;
            name: string;
            color: string;
            isExclusive: boolean;
            created_at: string;
            updated_at: string;
        };
        DeleteTagGroupResponseDto: {
            id: string;
            name: string;
            color: string;
            isExclusive: boolean;
            created_at: string;
            updated_at: string;
        };
        CreateCommentDto: {
            content: string;
            profileId: string;
            isSolvable: boolean;
        };
        CreateCommentResponseDto: {
            id: string;
            content: string;
            createdBy: string;
            profileId: string;
            isSolvable: boolean;
            isSolved: boolean;
            solvedAt: string | null;
            solvedBy: string;
            created_at: string;
            updated_at: string;
        };
        GetByProfileCommentResponseDto: {
            comments: {
                id: string;
                content: string;
                createdBy: string;
                profileId: string;
                isSolvable: boolean;
                isSolved: boolean;
                solvedAt: string | null;
                solvedBy?: string;
                created_at: string;
                updated_at: string;
                account: {
                    username: string;
                };
            }[];
        };
        ToggleSolveCommentResponseDto: {
            id: string;
            content: string;
            createdBy: string;
            profileId: string;
            isSolvable: boolean;
            isSolved: boolean;
            solvedAt: string | null;
            solvedBy: string;
            created_at: string;
            updated_at: string;
        };
        FindAllLocationResponseDto: {
            birthLocations: {
                city: string;
                longitude: number;
                latitude: number;
                _count: {
                    birthProfiles: number;
                };
            }[];
            residenceLocations: {
                city: string;
                longitude: number;
                latitude: number;
                _count: {
                    residenceProfiles: number;
                };
            }[];
        };
        FindProvincesResponseDto: {
            provinces: string[];
        };
        FindCitiesByProvinceLocationResponseDto: {
            cities: {
                id: string;
                name: string;
                centroid: {
                    lon: number;
                    lat: number;
                };
            }[];
        };
        FindAllCountriesResponseDto: {
            countries: {
                name: string;
                isoCode: string;
            }[];
        };
        FindAllStatesByCountryResponseDto: {
            states: {
                name: string;
                isoCode: string;
                countryCode: string;
                countryName: string;
                latitude?: string | null;
                longitude?: string | null;
            }[];
        };
    };
    responses: never;
    parameters: never;
    requestBodies: never;
    headers: never;
    pathItems: never;
}
export type $defs = Record<string, never>;
export interface operations {
    AuthController_loginUser: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody: {
            content: {
                "application/json": components["schemas"]["LoginDto"];
            };
        };
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["LoginResponseDto"];
                };
            };
            401: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["ErrorDto"];
                };
            };
        };
    };
    AuthController_refreshToken: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["RefreshResponseDto"];
                };
            };
        };
    };
    TagController_create: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody: {
            content: {
                "application/json": components["schemas"]["CreateTagDto"];
            };
        };
        responses: {
            201: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["CreateTagResponseDto"];
                };
            };
        };
    };
    TagController_findAll: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["FindAllTagResponseDto"];
                };
            };
        };
    };
    TagController_findByGroup: {
        parameters: {
            query?: never;
            header?: never;
            path: {
                groupId: string;
            };
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["FindByGroupTagResponseDto"];
                };
            };
            404: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["ErrorDto"];
                };
            };
        };
    };
    TagController_findById: {
        parameters: {
            query?: never;
            header?: never;
            path: {
                id: string;
            };
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["FindOneTagResponseDto"];
                };
            };
            404: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["ErrorDto"];
                };
            };
        };
    };
    TagController_remove: {
        parameters: {
            query?: never;
            header?: never;
            path: {
                id: string;
            };
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            404: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["ErrorDto"];
                };
            };
            410: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["DeleteTagResponseDto"];
                };
            };
        };
    };
    TagController_update: {
        parameters: {
            query?: never;
            header?: never;
            path: {
                id: string;
            };
            cookie?: never;
        };
        requestBody: {
            content: {
                "application/json": components["schemas"]["UpdateTagDto"];
            };
        };
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["UpdateTagResponseDto"];
                };
            };
            404: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["ErrorDto"];
                };
            };
        };
    };
    TagController_massiveAllocation: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody: {
            content: {
                "application/json": components["schemas"]["MassiveAllocationDto"];
            };
        };
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["MassiveAllocationResponseDto"];
                };
            };
        };
    };
    TagController_massiveDeallocation: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody: {
            content: {
                "application/json": components["schemas"]["MassiveDeallocationDto"];
            };
        };
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["MassiveDeallocationResponseDto"];
                };
            };
        };
    };
    AccountController_create: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody: {
            content: {
                "application/json": components["schemas"]["CreateAccountDto"];
            };
        };
        responses: {
            201: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["CreateAccountResponseDto"];
                };
            };
        };
    };
    AccountController_getGlobalFilter: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["GetGlobalFilterResponseDto"];
                };
            };
        };
    };
    AccountController_updateGlobalFilter: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody: {
            content: {
                "application/json": components["schemas"]["UpdateGlobalFilterDto"];
            };
        };
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["UpdateGlobalFilterResponseDto"];
                };
            };
        };
    };
    AccountController_getMe: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["GetMeResponseDto"];
                };
            };
        };
    };
    TagGroupController_create: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody: {
            content: {
                "application/json": components["schemas"]["CreateTagGroupDto"];
            };
        };
        responses: {
            201: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["CreateTagGroupResponseDto"];
                };
            };
        };
    };
    TagGroupController_findAll: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["FindAllTagGroupResponseDto"];
                };
            };
        };
    };
    TagGroupController_findAllWithTags: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["FindAllWithTagsResponseDto"];
                };
            };
        };
    };
    TagGroupController_findById: {
        parameters: {
            query?: never;
            header?: never;
            path: {
                id: string;
            };
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["FindOneTagGroupResponseDto"];
                };
            };
            404: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["ErrorDto"];
                };
            };
        };
    };
    TagGroupController_delete: {
        parameters: {
            query?: never;
            header?: never;
            path: {
                id: string;
            };
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["DeleteTagGroupResponseDto"];
                };
            };
            404: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["ErrorDto"];
                };
            };
        };
    };
    TagGroupController_update: {
        parameters: {
            query?: never;
            header?: never;
            path: {
                id: string;
            };
            cookie?: never;
        };
        requestBody: {
            content: {
                "application/json": components["schemas"]["UpdateTagGroupDto"];
            };
        };
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["UpdateTagGroupResponseDto"];
                };
            };
            404: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["ErrorDto"];
                };
            };
        };
    };
    CommentController_createComment: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody: {
            content: {
                "application/json": components["schemas"]["CreateCommentDto"];
            };
        };
        responses: {
            201: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["CreateCommentResponseDto"];
                };
            };
            404: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["ErrorDto"];
                };
            };
        };
    };
    CommentController_getCommentsByProfileId: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["GetByProfileCommentResponseDto"];
                };
            };
            404: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["ErrorDto"];
                };
            };
        };
    };
    CommentController_toggleSolveComment: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["ToggleSolveCommentResponseDto"];
                };
            };
            404: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["ErrorDto"];
                };
            };
            409: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["ErrorDto"];
                };
            };
        };
    };
    LocationController_findAll: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["FindAllLocationResponseDto"];
                };
            };
        };
    };
    LocationController_findProvinces: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["FindProvincesResponseDto"];
                };
            };
        };
    };
    LocationController_findArgCityByProvince: {
        parameters: {
            query?: never;
            header?: never;
            path: {
                province: string;
            };
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["FindCitiesByProvinceLocationResponseDto"];
                };
            };
        };
    };
    LocationController_findAllCountries: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["FindAllCountriesResponseDto"];
                };
            };
        };
    };
    LocationController_findStatesByCountry: {
        parameters: {
            query?: never;
            header?: never;
            path: {
                countryCode: string;
            };
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["FindAllStatesByCountryResponseDto"];
                };
            };
            404: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["ErrorDto"];
                };
            };
        };
    };
}
